KONQUEROR(1)

NAME
konqueror - Web browser, file manager, ...

SYNOPSIS
konqueror [Qt-options] [KDE-options] [options] [URL]

DESCRIPTION
Konqueror is the file manager for the K Desktop Environment. It supports basic file management on local UNIX filesystems, from simple cut/copy and paste operations to advanced remote and local network file browsing. It is also the canvas for all the latest KDE technology, from KIO slaves (which provide mechanisms for file access) to component embedding via the KParts object interface, and it is one of the most customizable applications available. Konqueror is an Open Source web browser with HTML4.0 compliance, supporting Java applets, JavaScript, CSS1 and (partially) CSS2, as well as Netscape plugins (for example, Flash or RealVideo plugins). It is a universal viewing application, capable of embedding read-only viewing components in itself to view documents without ever launching another application. This package is part of the official KDE base module.

OPTIONS

  Arguments:

  URL
Location to open

  Options:

--silent
    Start without a default window

--preload
    Preload for later use

--profile <profile>
    Profile to open

--profiles
    List available profiles

--mimetype <mimetype>
    Mimetype to use for this URL (e.g. text/html or inode/directory)

--select
    For URLs that point to files, opens the directory and selects the file, instead of opening the actual file

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  KDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

SEE ALSO

  Full user documentation is available through the KDE Help Center. You can also enter the URL
help:/konqueror/ directly into konqueror or you can run `khelpcenter help:/konqueror/' from the command-line.

AUTHORS
David Faure <faure@kde.org>
Simon Hausmann <hausmann@kde.org>
Michael Reiher <michael.reiher@gmx.de>
Matthias Welk <welk@fokus.gmd.de>
Alexander Neundorf <neundorf@kde.org>
Michael Brade <brade@kde.org>
Lars Knoll <knoll@kde.org>
Dirk Mueller <mueller@kde.org>
Peter Kelly <pmk@post.com>
Waldo Bastian <bastian@kde.org>
Germain Garand <germain@ebooksfrance.org>
Leo Savernik <l.savernik@aon.at>
Stephan Kulow <coolo@kde.org>
Antti Koivisto <koivisto@kde.org>
Apple Safari Developers
Harri Porten <porten@kde.org>
Koos Vriezen <koos.vriezen@xs4all.nl>
Matt Koss <koss@miesto.sk>
Alex Zepeda <zipzippy@sonic.net>
Richard Moore <rich@kde.org>
Dima Rogozin <dima@mercury.co.il>
Wynn Wilkes <wynnw@calderasystems.com>
Stefan Schimanski <schimmi@kde.org>
George Staikos <staikos@kde.org>
Dawit Alemayehu <adawit@kde.org>
Carsten Pfeiffer <pfeiffer@kde.org>
Torsten Rahn <torsten@kde.org>
Torben Weis <weis@kde.org>
Joseph Wenninger <jowenn@kde.org>